Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundMessages>
it.tdlight.jni.TdApi.SearchMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchMessages extends TdApi.Function<TdApi.FoundMessages>
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundMessages`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatList`
`chatList`
Chat list in which to search messages; pass null to search in all chats regardless of their chat list.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.SearchMessagesFilter`
`filter`
Additional filter for messages to search; pass null to search for all messages.
`int`
`limit`
The maximum number of messages to be returned; up to 100.
`int`
`maxDate`
If not 0, the maximum date of the messages to return.
`int`
`minDate`
If not 0, the minimum date of the messages to return.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`String`
`query`
Query to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchMessages()`
Searches for messages in all chats except secret chats.
`SearchMessages(TdApi.ChatList chatList, String query, String offset, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)`
Searches for messages in all chats except secret chats.
`SearchMessages(DataInput input)`
Searches for messages in all chats except secret chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.

### query

public String query
Query to search for.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### filter

public TdApi.SearchMessagesFilter filter
Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterFailedToSend, and searchMessagesFilterPinned are unsupported in this function.

### minDate

public int minDate
If not 0, the minimum date of the messages to return.

### maxDate

public int maxDate
If not 0, the maximum date of the messages to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchMessages

public SearchMessages()
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundMessages`

### SearchMessages

public SearchMessages(TdApi.ChatList chatList, String query, String offset, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundMessages`

Parameters:
  `chatList` - Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.
  `query` - Query to search for.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `filter` - Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterFailedToSend, and searchMessagesFilterPinned are unsupported in this function.
  `minDate` - If not 0, the minimum date of the messages to return.
  `maxDate` - If not 0, the maximum date of the messages to return.

  Returns `FoundMessages`

### SearchMessages

public SearchMessages(DataInput input) throws IOException
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundMessages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`